Bug 24812 - Add permission for 'discount' process
Summary: Add permission for 'discount' process
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Fines and fees (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Martin Renvoize
QA Contact: Testopia
URL:
Keywords:
Depends on: 24081
Blocks:
  Show dependency treegraph
 
Reported: 2020-03-05 13:19 UTC by Michal Denar
Modified: 2020-04-03 17:09 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00


Attachments
Bug 24812: (bug 24081 follow-up) Add permission description (1.70 KB, patch)
2020-03-05 14:36 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 24812: (bug 24081 follow-up) Add permission description (1.75 KB, patch)
2020-03-05 15:03 UTC, Michal Denar
Details | Diff | Splinter Review
Bug 24812: (bug 24081 follow-up) Add permission description (1.82 KB, patch)
2020-03-10 13:02 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Michal Denar 2020-03-05 13:19:14 UTC

    
Comment 1 Michal Denar 2020-03-05 13:23:31 UTC
If staff can make discount from payment, we need to give permission for it. Because it's similar process as write-off.
Comment 2 Martin Renvoize 2020-03-05 14:26:22 UTC
Did you test this Michal?

The original patchset was meant to add such a permission..
Comment 3 Martin Renvoize 2020-03-05 14:28:39 UTC
Aha.. I see.. the UI piece for actually setting the permission got lost in a rebase!

Patch coming.
Comment 4 Martin Renvoize 2020-03-05 14:36:35 UTC
Created attachment 100197 [details] [review]
Bug 24812: (bug 24081 follow-up) Add permission description

Bug 24081 added a discount permission to the accounts system but during
subsequent rebases, the description of that new permission got lot.

This patch restores the description.

Test plan
0/ Check that a checkbox without a description appears in the 'Manage
patrons patrons fines and fees' section of the 'Set permissions' page.
1/ Apply the patch
2/ Reload the page and note that the checkbox now preceeds a suitable
description.
3/ Signoff.

Bonus points: Check the permission works as described and hides the
'Discount' action button for staff who do not have the permission
enabled.
Comment 5 Michal Denar 2020-03-05 15:03:27 UTC
Created attachment 100198 [details] [review]
Bug 24812: (bug 24081 follow-up) Add permission description

Bug 24081 added a discount permission to the accounts system but during
subsequent rebases, the description of that new permission got lot.

This patch restores the description.

Test plan
0/ Check that a checkbox without a description appears in the 'Manage
patrons patrons fines and fees' section of the 'Set permissions' page.
1/ Apply the patch
2/ Reload the page and note that the checkbox now preceeds a suitable
description.
3/ Signoff.

Bonus points: Check the permission works as described and hides the
'Discount' action button for staff who do not have the permission
enabled.

Nice work.

Signed-off-by: Michal Denar <black23@gmail.com>
Comment 6 Jonathan Druart 2020-03-10 13:02:34 UTC
Created attachment 100458 [details] [review]
Bug 24812: (bug 24081 follow-up) Add permission description

Bug 24081 added a discount permission to the accounts system but during
subsequent rebases, the description of that new permission got lot.

This patch restores the description.

Test plan
0/ Check that a checkbox without a description appears in the 'Manage
patrons patrons fines and fees' section of the 'Set permissions' page.
1/ Apply the patch
2/ Reload the page and note that the checkbox now preceeds a suitable
description.
3/ Signoff.

Bonus points: Check the permission works as described and hides the
'Discount' action button for staff who do not have the permission
enabled.

Signed-off-by: Michal Denar <black23@gmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 7 Martin Renvoize 2020-03-11 13:49:54 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 8 Joy Nelson 2020-04-03 17:09:50 UTC
not pushed to 19.11.x due to dependencies